lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'flimper_nikita/version'

Gem::Specification.new do |spec|
  spec.name          = 'flimper_nikita'
  spec.version       = FlimperNikita::VERSION
  spec.authors       = ['Marcel Gigena']
  spec.email         = ['marcegige@hotmail.com']

  spec.summary       = 'This gem allows you to send notifications in case an error occurs on your application.'
  spec.homepage      = 'https://github.com/flimperapp/nikita_gem.git'
  spec.license       = 'MIT'

  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'byebug', '~> 11.0.1'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 0.66.0'

  spec.add_dependency 'faraday'
end
